//
// mouse.h
//
#define MouseLeftUp     4
#define MouseLeftDown   2
#define MouseRightUp    16
#define MouseRightDown  8
#define MouseMove       1
#define MouseCtrl       64
#define m_save  0
#define m_image 1
#define m_up    3
#define m_down  4
#define m_left  2
#define m_right 5
#define m_franz 6

typedef unsigned char mousetyp[256];

mousetyp *m_images;
U1 m_show_image=1;



struct callback_data
{
    int right_button;
    int mouse_event;
    unsigned short mouse_code;
    unsigned short mouse_bx;
    unsigned short MouseX;
    unsigned short MouseY;
    signed short mouse_si;
    signed short mouse_di;
} cbd = { 0 };



void MousePut ( int x, int y )
{
  mx1= mx= x; 
  my1= my= y;
}


int maus_innen ( short x, short y, short x1, short y1 )
{
  if ( (mx>x-1)&&(mx<x1+1)&&(my>y-1)&&(my<y1+1) ) 
    return 1;
  else 
    return 0;
}

void MouseBackRestore ( void )
{
  short i, j, h= 0;

  for ( i=0; i<16; i++ )
  {
    for ( j=0; j<16; j++ )
    {
      ssetpix(mx1+j, my1+i, m_images[m_save][h]);
      h++;
    }
  }
}


void MouseBackSave ( void )
{
  short i, j, h= 0;

  for ( i=0; i<16; i++ )
  {
    for ( j=0; j<16; j++ )
    {
      m_images[m_save][h] = getpix(mx+j, my+i);
      h++;
    }
  }
}

void MousePlace ( void )
{
  short i, j, h= 0;

  for ( i=0; i<16; i++ )
  {
    for ( j=0; j<16; j++ )
    {
      if ( m_images[m_show_image][h] != 0 )
      {
        ssetpix(mx+j, my+i, m_images[m_show_image][h]);
      }
      h++;
    }
  }
}

